#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: semigroupoids
version: 4.0.4
id: semigroupoids-4.0.4-818778ef061841920ed10f13c6cb0dae

license: BSD3
copyright: Copyright (C) 2011-2013 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/semigroupoids
package-url:
synopsis: Semigroupoids: Category sans id
description: Provides a wide array of (semi)groupoids and operations for working with them.
             .
             A '\''Semigroupoid'\'' is a '\''Category'\'' without the requirement of identity arrows for every object in the category.
             .
             A '\''Category'\'' is any '\''Semigroupoid'\'' for which the Yoneda lemma holds.
             .
             When working with comonads you often have the @\<*\>@ portion of an @Applicative@, but
             not the @pure@. This was captured in Uustalu and Vene'\''s \"Essence of Dataflow Programming\"
             in the form of the @ComonadZip@ class in the days before @Applicative@. Apply provides a weaker invariant, but for the comonads used for data flow programming (found in the streams package), this invariant is preserved. Applicative function composition forms a semigroupoid.
             .
             Similarly many structures are nearly a comonad, but not quite, for instance lists provide a reasonable '\''extend'\'' operation in the form of '\''tails'\'', but do not always contain a value.
             .
             Ideally the following relationships would hold:
             .
             > Foldable ----> Traversable <--- Functor ------> Alt ---------> Plus           Semigroupoid
             >      |               |            |                              |                  |
             >      v               v            v                              v                  v
             > Foldable1 ---> Traversable1     Apply --------> Applicative -> Alternative      Category
             >                                   |               |              |                  |
             >                                   v               v              v                  v
             >                                 Bind ---------> Monad -------> MonadPlus          Arrow
             >
             .
             Apply, Bind, and Extend (not shown) give rise the Static, Kleisli and Cokleisli semigroupoids respectively.
             .
             This lets us remove many of the restrictions from various monad transformers
             as in many cases the binding operation or @\<*\>@ operation does not require them.
             .
             Finally, to work with these weaker structures it is beneficial to have containers
             that can provide stronger guarantees about their contents, so versions of '\''Traversable'\''
             and '\''Foldable'\'' that can be folded with just a '\''Semigroup'\'' are added.
category: Control, Comonads
author: Edward A. Kmett
exposed: True
exposed-modules: Data.Functor.Alt Data.Functor.Apply
                 Data.Functor.Bind Data.Functor.Bind.Trans Data.Functor.Extend
                 Data.Functor.Plus Data.Groupoid Data.Isomorphism Data.Semifunctor
                 Data.Semifunctor.Associative Data.Semifunctor.Braided
                 Data.Semigroup.Foldable Data.Semigroup.Traversable
                 Data.Semigroupoid Data.Semigroupoid.Coproduct
                 Data.Semigroupoid.Dual Data.Semigroupoid.Ob
                 Data.Semigroupoid.Product Data.Semigroupoid.Static
                 Data.Traversable.Instances
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/semigroupoids-4.0.4
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/semigroupoids-4.0.4
              /usr/local/lib
hs-libraries: HSsemigroupoids-4.0.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         comonad-4.2.2-e5178a19bf39d5e9a7599ffc3941fb7a
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         contravariant-1.1-94bc574bba045cd398007a0930471e1e
         distributive-0.4.4-767f380201a1333ad86994b760dbd4ee
         semigroups-0.15.2-ba0dfd27959c7ba409dc7184903ce406
         transformers-0.3.0.0-16a97696ae672940f1523b262e566ba5
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/semigroupoids-4.0.4/html/semigroupoids.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/semigroupoids-4.0.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
